Extending Qt Creator Manual | Task

Extending Qt Creator Manual 4.5.2

# Task Class

(ProjectExplorer::Task)

The Task class represents a build issue (warning or error). More...

Header: | #include <Task>

- List of all members, including inherited members

## Public Types

enum | TaskType { Unknown, Error, Warning }

## Public Functions

| Task() = default
| Task(TaskType type, const QString &description, const Utils::FileName &file, int line, Core::Id category, const Utils::FileName &iconName = Utils::FileName())
void | clear()
bool | isNull() const

## Static Public Members

Task | buildConfigurationMissingTask()
Task | compilerMissingTask()

## Detailed Description

The Task class represents a build issue (warning or error).

See also ProjectExplorer::TaskHub.

## Member Type Documentation

### enum Task::TaskType

## Member Function Documentation

### `[default]` Task::Task()

Default constructs an instance of Task.

### Task::Task(TaskType type, const QString &description, const Utils::FileName &file, int line, Core::Id category, const Utils::FileName &iconName = Utils::FileName())

Default constructs an instance of Task.

### `[static]` Task Task::buildConfigurationMissingTask()

### void Task::clear()

### `[static]` Task Task::compilerMissingTask()

### bool Task::isNull() const